import { NextRequest, NextResponse } from 'next/server';
import { c as I18nMiddlewareConfig } from '../../types-0434437c.js';
import 'international-types';

declare function createI18nMiddleware<Locales extends readonly string[]>(locales: Locales, defaultLocale: Locales[number], config?: I18nMiddlewareConfig<Locales>): (request: NextRequest) => NextResponse<unknown>;

export { createI18nMiddleware };
